提交 2f6cc691 编辑于 作者: Michael Reneer's avatar Michael Reneer 提交者: tensorflow-copybara
浏览文件

Update to use TF version `2.6.0`.

PiperOrigin-RevId: 394327712
上级 cdb6a3cb
......@@ -80,49 +80,6 @@ Please be sure to review the
[contribution guidelines](CONTRIBUTING.md#code-style-guidelines-and-best-practices)
for guidelines on how to contribute.
## Compatibility
### TensorFlow
The following table describes the compatibility between the TensorFlow Federated
and TensorFlow Python packages, meaning that a version of the TensorFlow
Federated package was tested against a version of the TensorFlow before it was
released. It is possible that a newer version of the TensorFlow Federated
package will not work with an older version of the TensorFlow package and vice
versa.
TensorFlow Federated | TensorFlow
--------------------------------------------------------------------- | ----------
[0.19.0](https://github.com/tensorflow/federated/tree/v0.19.0) | [tensorflow 2.5.0](https://pypi.org/project/tensorflow/2.5.0/)
[0.18.0](https://github.com/tensorflow/federated/tree/v0.18.0) | [tensorflow 2.4.0](https://pypi.org/project/tensorflow/2.4.0/)
[0.17.0](https://github.com/tensorflow/federated/tree/v0.17.0) | [tensorflow 2.3.0](https://pypi.org/project/tensorflow/2.3.0/)
[0.16.1](https://github.com/tensorflow/federated/tree/v0.16.1) | [tensorflow 2.2.0](https://pypi.org/project/tensorflow/2.2.0/)
[0.16.0](https://github.com/tensorflow/federated/tree/v0.16.0) | [tensorflow 2.2.0](https://pypi.org/project/tensorflow/2.2.0/)
[0.15.0](https://github.com/tensorflow/federated/tree/v0.15.0) | [tensorflow 2.2.0](https://pypi.org/project/tensorflow/2.2.0/)
[0.14.0](https://github.com/tensorflow/federated/tree/v0.14.0) | [tensorflow 2.2.0](https://pypi.org/project/tensorflow/2.2.0/)
[0.13.1](https://github.com/tensorflow/federated/tree/v0.13.1) | [tensorflow 2.1.0](https://pypi.org/project/tensorflow/2.1.0/)
[0.13.0](https://github.com/tensorflow/federated/tree/v0.13.0) | [tensorflow 2.1.0](https://pypi.org/project/tensorflow/2.1.0/)
[0.12.0](https://github.com/tensorflow/federated/tree/v0.12.0) | [tensorflow 2.1.0](https://pypi.org/project/tensorflow/2.1.0/)
[0.11.0](https://github.com/tensorflow/federated/tree/v0.11.0) | [tensorflow 2.0.0](https://pypi.org/project/tensorflow/2.0.0/)
[0.10.1](https://github.com/tensorflow/federated/tree/v0.10.1) | [tensorflow 2.0.0](https://pypi.org/project/tensorflow/2.0.0/)
[0.10.0](https://github.com/tensorflow/federated/tree/v0.10.0) | [tensorflow 2.0.0](https://pypi.org/project/tensorflow/2.0.0/)
[0.9.0](https://github.com/tensorflow/federated/tree/v0.9.0) | [tf-nightly 2.1.0.dev20191005](https://pypi.org/project/tf-nightly/2.1.0.dev20191005/)
~~[0.8.0](https://github.com/tensorflow/federated/tree/v0.8.0)~~ <sup>[1](#footnote1)</sup> | [tf-nightly 1.15.0.dev20190805](https://pypi.org/project/tf-nightly/1.15.0.dev20190805/)
[0.7.0](https://github.com/tensorflow/federated/tree/v0.7.0) | [tf-nightly 1.15.0.dev20190711](https://pypi.org/project/tf-nightly/1.15.0.dev20190711/)
[0.6.0](https://github.com/tensorflow/federated/tree/v0.6.0) | [tf-nightly 1.15.0.dev20190626](https://pypi.org/project/tf-nightly/1.15.0.dev20190626/)
[0.5.0](https://github.com/tensorflow/federated/tree/v0.5.0) | [tf-nightly 1.14.1.dev20190528](https://pypi.org/project/tf-nightly/1.14.1.dev20190528/)
[0.4.0](https://github.com/tensorflow/federated/tree/v0.4.0) | [tensorflow 1.13.1](https://pypi.org/project/tensorflow/1.13.1)
[0.3.0](https://github.com/tensorflow/federated/tree/v0.3.0) | [tensorflow 1.13.1](https://pypi.org/project/tensorflow/1.13.1)
[0.2.0](https://github.com/tensorflow/federated/tree/v0.2.0) | [tensorflow 1.13.1](https://pypi.org/project/tensorflow/1.13.1)
[0.1.0](https://github.com/tensorflow/federated/tree/v0.1.0) | [tensorflow 1.13.0rc2](https://pypi.org/project/tensorflow/1.13.0rc0/)
### Python
See the `Programming Language` classifiers on the PyPI
[tensorflow-federated](https://pypi.org/project/tensorflow-federated/) project
for information about the compatibility between TensorFlow Federated and Python
versions.
## Issues
Use [GitHub issues](https://github.com/tensorflow/federated/issues) for tracking
......@@ -133,8 +90,3 @@ requests and bugs.
Please direct questions to [Stack Overflow](https://stackoverflow.com) using the
[tensorflow-federated](https://stackoverflow.com/questions/tagged/tensorflow-federated)
tag.
<sup id="footnote1">1</sup> TensorFlow Federated
[0.8.0](https://github.com/tensorflow/federated/tree/v0.8.0) fails to pip
install `pip install tensorflow-federated==0.8.0` because it requires
`tf-nightly==1.15.0.dev20190805`, which is no longer available.
......@@ -70,7 +70,7 @@ REQUIRED_PACKAGES = [
'semantic-version~=2.8.5',
'tensorflow-model-optimization~=0.5.0',
'tensorflow-privacy~=0.7.2',
'tensorflow~=2.5.0',
'tensorflow~=2.6.0',
'tqdm~=4.28.1',
]
......
支持 Markdown
0% .
You are about to add 0 people to the discussion. Proceed with caution.
先完成此消息的编辑!
想要评论请 注册